{ pkgs, ... }:
{
  systemd.services.nvidia-undervolt = {
    enable = true;
    description = "Set NVIDIA GPU undervolt";
    wantedBy = [ "multi-user.target" ];
    serviceConfig = {
      Type = "oneshot";
      ExecStart = "${pkgs.nvidia_oc}/bin/nvidia_oc set --index 0 --freq-offset 250";
    };
  };
}
